| Classes - Annotated - Tree - Functions - Home - Structure

# QTextIStream Class Reference

A convenience class for input streams. More...

`#include <qtextstream.h>`

Inherits QTextStream.

List of all member functions.

## Public Members

- QTextIStream ( QString * s )
- QTextIStream ( QByteArray ba )
- QTextIStream ( FILE * f )

## Detailed Description

A convenience class for input streams.

For simple tasks, code should be simple. Hence this class is a shorthand to avoid passing the mode argument to the normal QTextStream constructors.

This makes it easy for example, to write things like this:

        QString data = "123 456";
        int a, b;
        QTextIStream(&data) >> a >> b;

See also QTextOStream.

## Member Function Documentation

### QTextIStream::QTextIStream ( QByteArray ba )

Constructs a stream to read from the array ba.

### QTextIStream::QTextIStream ( QString * s )

Constructs a stream to read from string s.

### QTextIStream::QTextIStream ( FILE * f )

Constructs a stream to read from the file f.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.